View topic - [updated 07/07]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

[updated 07/07]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Users-contributed CVS development builds. Post here your questions about compiling the source code.

[updated 07/07]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Thu Jun 25, 2009 9:13 pm

A build of lastest Yaf from svn r346+patch from Jens, compiled for python 2.5.4 with the lastest QT4 framework (4.5.2)
May be useful for OSX users which have upgraded their py version as I did.

Thanx to Jens for his help with packagemaker use & many more osx compiling help.

REMEMBER THIS IS A PYTHON 2.5.4 RELEASE, NOT A 2.5.1

07/07 Update :
- Fixed Freetype dependencies
06/29 Update :
- Fixed OpenEXR dependencies
- Compiled with GCC 4.2
- Version 0.1.1 appears properly on console (yafaray-xml -v) & QT GUI (when draw render params enabled)

http://umxprime.com/data/files/YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4.dmg

Enjoy
Last edited by umxprime on Tue Jul 07, 2009 9:17 am, edited 5 times in total.
umxprime
 
Posts: 20
Joined: Fri May 30, 2008 11:04 pm

Re: YafaRay-0.1.1-RC3-OSX-Intel-10-5-py-2.5.4

Post Fri Jun 26, 2009 12:24 am

Thanks Umxprime. I was looking forward to this. ;)

Downloading and testing.
User avatar
afecelis
 
Posts: 384
Joined: Fri Aug 19, 2005 1:17 am
Location: Colombia

Re: YafaRay-0.1.1-RC3-OSX-Intel-10-5-py-2.5.4

Post Fri Jun 26, 2009 8:23 am

afecelis wrote:Thanks Umxprime. I was looking forward to this. ;)

Downloading and testing.


Okay could u please give some feedback ?
umxprime
 
Posts: 20
Joined: Fri May 30, 2008 11:04 pm

Re: [updated 06/29]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Mon Jun 29, 2009 10:44 pm

Hi Umxprime,

Sorry for not replying any earlier, but now I had some time to test your build out. ;)
I installed python 2.5.4 and compiled blender with this version, then I installed your latest rc3a dmg. It installs fine, without the problem I reported here.
http://www.yafaray.org/community/forum/ ... =13&t=2342
Then I try to launch yafaray from the "render" menu and when trying to load the UI i get a "Python script error: check console" message. However, I don't know how to launch blender from a terminal in OSx to try and check in the console what the error is. If you know how to launch blender from a shell please let me know to try it out.

Also, are you using official 2.5.4 python or activepython?

regards,
Alvaro F. Celis
User avatar
afecelis
 
Posts: 384
Joined: Fri Aug 19, 2005 1:17 am
Location: Colombia

Re: [updated 06/29]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Tue Jun 30, 2009 10:10 am

afecelis wrote:Hi Umxprime,

Sorry for not replying any earlier, but now I had some time to test your build out. ;)
I installed python 2.5.4 and compiled blender with this version, then I installed your latest rc3a dmg. It installs fine, without the problem I reported here.
http://www.yafaray.org/community/forum/ ... =13&t=2342
Then I try to launch yafaray from the "render" menu and when trying to load the UI i get a "Python script error: check console" message. However, I don't know how to launch blender from a terminal in OSx to try and check in the console what the error is. If you know how to launch blender from a shell please let me know to try it out.

Also, are you using official 2.5.4 python or activepython?

regards,
Alvaro F. Celis


Uh ?

What is your OS ? Why compiling Blender ? Why not downloading it from blender.org ?
Why installing python 2.5.4 ? OSX have 2.5.1 !
My release is only for people having 2.5.4 already installed for their needs...
No need to install 2.5.4 if you don't need it for anything else...
You know how to compile Blender & you don't know how to launch it from terminal ?
I think i am missing something, but ... Here it is
/Applications/Blender/blender.app/Contents/MacOS/blender

Regards
umxprime
 
Posts: 20
Joined: Fri May 30, 2008 11:04 pm

Re: [updated 06/29]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Tue Jun 30, 2009 8:29 pm

Well, I know how to launch stuff from a console in Linux/Win since you got an executable to launch, but in OSx I don't know how to deal with this .app thing which in the end is just a folder with stuff inside. It may seem similar to Linux in the sense that they are both unix-oriented operating systems but Mac does things a bit different you know.
What is your OS ? Why compiling Blender ? Why not downloading it from blender.org ?

-OS is macOsx 10.5.6 updated to 10.5.7.
-Why compile blender? I always like to compile SVN both for Windows and Linux, so why not give it a try in Osx?
Why installing python 2.5.4 ? OSX have 2.5.1 !

-Because you mention your build is for python 2.5.4, OsX 10.5.6 comes with 2.3 by default, and its the most sensitive operating system regarding to versions. As mentioned at yafaray's site, compilations both for blender and yafaray must match in the python they used, hence I downloaded and installed 2.5.4 to try to be compatible with your release, same reason why I compiled blender with the same python 2.5.4.
From yafaray's site:
Important: YafaRay is compiled against Python 2.5.1-Apple, the pre-installed one! Don't install any other Python-version. Make sure you use the Blender Mac OS X version compiled with Python 2.5 (called "custom" at blender.org/downloads)

Yours is the same case, but with python 2.5.4.(rom your post):
REMEMBER THIS IS A PYTHON 2.5.4 RELEASE, NOT A 2.5.1

You know how to compile Blender & you don't know how to launch it from terminal ?
I think i am missing something, but ... Here it is

No need for the irony there. I have to tell you, in the best of ways, your attitude is not the most helpful. I just started working with OsX and besides the Unix similarities there are things that are totally different. There's always something new to learn, and one of the best ways is asking. The problem is that some people don't have the patience to teach or share their "immeasurable wisdom".

Anyway, thanks for nothing.
Alvaro F. Celis
User avatar
afecelis
 
Posts: 384
Joined: Fri Aug 19, 2005 1:17 am
Location: Colombia

Re: [updated 06/29]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Wed Jul 01, 2009 4:42 pm

afecelis wrote:
Why installing python 2.5.4 ? OSX have 2.5.1 !

-Because you mention your build is for python 2.5.4, OsX 10.5.6 comes with 2.3 by default, and its the most sensitive operating system regarding to versions. As mentioned at yafaray's site, compilations both for blender and yafaray must match in the python they used, hence I downloaded and installed 2.5.4 to try to be compatible with your release, same reason why I compiled blender with the same python 2.5.4.
From yafaray's site:
Important: YafaRay is compiled against Python 2.5.1-Apple, the pre-installed one! Don't install any other Python-version. Make sure you use the Blender Mac OS X version compiled with Python 2.5 (called "custom" at blender.org/downloads)

Yours is the same case, but with python 2.5.4.(rom your post):
REMEMBER THIS IS A PYTHON 2.5.4 RELEASE, NOT A 2.5.1


Eh no, 10.5.6 comes with Python 2.5.1-Apple by default, 10.4.x comes with Python 2.3 by default.
10.5.6 have 2.3 installed, but it's not its default Python launcher.

afecelis wrote:
You know how to compile Blender & you don't know how to launch it from terminal ?
I think i am missing something, but ... Here it is

No need for the irony there. I have to tell you, in the best of ways, your attitude is not the most helpful. I just started working with OsX and besides the Unix similarities there are things that are totally different. There's always something new to learn, and one of the best ways is asking. The problem is that some people don't have the patience to teach or share their "immeasurable wisdom".

Anyway, thanks for nothing.
Alvaro F. Celis

Have you been so much offended by my attitude ?
Your attitude is not helpful either (You could google things to know how to launch blender from terminal on OSX...)
Could you be agree to check the Python script console & report the problem here ?

Regards
umxprime
 
Posts: 20
Joined: Fri May 30, 2008 11:04 pm

Re: [updated 06/29]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Fri Jul 03, 2009 9:02 pm

Ok, I finally had some time to boot back into MacOSX and gave it a try. I had no idea u could enter .app as if they were folders. I rand blender from a terminal and when launching the yafaray UI menu this is the error being reported:
Code: Select all
Compiled with Python version 2.5.4.
Checking for installed Python... got it!
ERROR: Importing yafqt failed, Qt GUI will NOT be available.
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/Applications/Blender/blender.app/Contents/MacOS/./.blender/scripts/yafaray_ui.py", line 94, in <module>
    import yaf_export
  File "/usr/local/share/yafaray/blender/yaf_export.py", line 17, in <module>
    import yafrayinterface
  File "/usr/local/share/yafaray/blender/yafrayinterface.py", line 22, in <module>
    import _yafrayinterface
ImportError: dlopen(/usr/local/share/yafaray/blender/_yafrayinterface.so, 2): Library not loaded: /usr/local/lib/libfreetype.6.dylib
  Referenced from: /usr/local/lib/libyafaraycore.dylib
  Reason: image not found


regards,
Last edited by afecelis on Tue Jul 07, 2009 12:40 pm, edited 1 time in total.
User avatar
afecelis
 
Posts: 384
Joined: Fri Aug 19, 2005 1:17 am
Location: Colombia

Re: [updated 06/29]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Tue Jul 07, 2009 9:15 am

afecelis wrote:Ok, I finally had some time to boot back into MacOSX and gave it a try. I had no idea u could enter .app as if they were folders. I rand blender from a terminal and when launching the yafaray UI menu this is the being error reported:
Code: Select all
Compiled with Python version 2.5.4.
Checking for installed Python... got it!
ERROR: Importing yafqt failed, Qt GUI will NOT be available.
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/Applications/Blender/blender.app/Contents/MacOS/./.blender/scripts/yafaray_ui.py", line 94, in <module>
    import yaf_export
  File "/usr/local/share/yafaray/blender/yaf_export.py", line 17, in <module>
    import yafrayinterface
  File "/usr/local/share/yafaray/blender/yafrayinterface.py", line 22, in <module>
    import _yafrayinterface
ImportError: dlopen(/usr/local/share/yafaray/blender/_yafrayinterface.so, 2): Library not loaded: /usr/local/lib/libfreetype.6.dylib
  Referenced from: /usr/local/lib/libyafaraycore.dylib
  Reason: image not found


regards,


Thx reporting this.
Was a dependency problem with freetype, I think I fixed it now.
Please download the dmg again & install it over.
I hope it will work better for u now.
Again report any problem here :-)
umxprime
 
Posts: 20
Joined: Fri May 30, 2008 11:04 pm

Re: [updated 07/07]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Tue Jul 07, 2009 7:16 pm

You nailed it Umx! :D

This latest version is working great! Thanks a lot for taking the time to fix it. If anyone's having trouble finding a 2.49a version that plays fine with it let me know and I'll upload my 2.54 build.

Going to run some more tests now.

regards,
Alvaro F. Celis
User avatar
afecelis
 
Posts: 384
Joined: Fri Aug 19, 2005 1:17 am
Location: Colombia

Re: [updated 07/07]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Wed Aug 12, 2009 11:48 pm

Hello umxprime,

Thank you for that version, only this one worked for me :o But there is a problem, it's not showing any textures in render, everything is just grey, and there is nothing in preview but grey, (textures jpeg, same folder as file.blend, object is UVed). Console error:

Code: Select all
INFO: Adding Texture: Tex type IMAGE: /Users/sasha/Documents/BlenderWorks/MyWork/book.jpg
error: don't know how to create texture of type 'image'!
INFO: Adding Material: Material
added ShaderNode 'diff_layer0'! (0x19295dc0)
warning: no element type given; assuming shader node
[ERROR]: texture '0x192d87b8' does not exist![ERROR]: no shader node was constructed by plugin 'texture_mapper'!
creating nodes failed!
added Material 'Material' (shinydiffusemat)!
added object 'Sphere1' (sphere)!
koolean88
 
Posts: 4
Joined: Wed Aug 12, 2009 11:26 pm

Re: [updated 07/07]YafaRay-0.1.1-RC3a-OSX-Intel-10-5-py-2.5.4

Post Wed Aug 19, 2009 6:32 pm

What is new to this r346 version?
New functions, shaders, options ?
...............................................
C l a a s E i c k e K u h n e n
Artist : Designer : Educator
User avatar
cekuhnen
 
Posts: 281
Joined: Mon Jan 10, 2005 10:00 pm


Return to Testing Builds



Who is online

Users browsing this forum: No registered users and 5 guests

cron